KCON(1)

NAME
kcon - keyboard control and remapping for the pcvt driver

SYNOPSIS
kcon [-d delay] [-l] [-m map] [-o] [-p] [-R] [-r rate] [-s] [-t+/-] [-x]

DESCRIPTION
kcon is used for controlling all aspects of keyboard configuration for the 'pcvt' video driver.

The available options are:

-d delay
    Specifies the delay after which the last key entered will be repeated by the Keyboard. Valid values are 0..3 corresponding to delays of 250, 500, 750 and 1000 milliseconds.

-l  Displays the current keyboard map in use by the driver.

-m map
    Specifies the map entry to be searched in the keyboard capabilities database keycap. The database is searched for the entry and if found, the mapping is loaded and is used in the driver from then on.

-o  Switches display of control codes to octal in the listing of the current map. To be used in conjunction with the -l option.

-p  Uses 'pure' output when listing - the Escape character is displayed in either octal or hexadecimal and not as 'ESC'. To be used in conjunction with the -l option.

-r rate
    Specifies the character repetition rate. Valid argument values are 0...31 corresponding to rates of 30 characters/second ... 2 characters/second.

-R  Reset the Keyboard.

-s  Displays the current settings of the rate and delay values.

-t +/-
    Specify this option to enable ( + ) or disable ( - ) the repetition of keys.

-x  Switches display of control codes to hexadecimal in the listing of the current map. To be used in conjunction with the -l option. This is the default behaviour.

FILES
/usr/share/misc/keycap
    Keyboard capabilities data base file if nothing else was chosen during installation.
/dev/console
    Keyboard raw device.

SEE ALSO
keycap(3), keycap(5)

BUGS
kcon detects several inconsistencies in the keycap database. In case of errors kcon exits with an error message. If this happens, the keyboard may remain in an undefined state. To recover from such situation, execute kcon -m default

EXAMPLES
The command “kcon -m gb” loads the entry 'gb' from the keycap file into the keyboard to switch to a british keyboard behaviour. The command “kcon -r 0 -d 0” switches the keyboard to emit characters at a rate of 30 characters per second after a key has been held down for 250 milliseconds.